From 34f7a22517235f0db9d2c55af5b4d803936a9f6f Mon Sep 17 00:00:00 2001
From: Michael R Sweet <msweet@msweet.org>
Date: Thu, 9 Apr 2026 12:40:10 -0400
Subject: [PATCH] Fix builds against GSSAPI (Kerberos)

---
 cups/auth.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cups/auth.c b/cups/auth.c
index 14661c7be..c1260ceae 100644
--- a/cups/auth.c
+++ b/cups/auth.c
@@ -176,7 +176,7 @@ cupsDoAuthentication(
     DEBUG_printf(("2cupsDoAuthentication: Trying scheme \"%s\"...", scheme));
 
 #ifdef HAVE_GSSAPI
-    if (!_cups_strcasecmp(scheme, "Negotiate") && !cups_is_local_connection(http))
+    if (!_cups_strcasecmp(scheme, "Negotiate") && httpAddrFamily(httpGetAddress(http)) != AF_LOCAL)
     {
      /*
       * Kerberos authentication to remote server...
